%global framework grantleetheme

Name:    kf5-%{framework}
Version: 16.12.3
Release: 1%{?dist}
Summary: KDE PIM library for Grantlee template system

License: LGPLv2+
URL:     http://quickgit.kde.org/%{framework}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.23.0
BuildRequires:  kf5-rpm-macros >= 5.23.0

BuildRequires:  qt5-qtbase-devel


# when macros.grantlee5 was introduced
BuildRequires:  grantlee-qt5-devel >= 5.1.0-2
%{?grantlee5_requires}

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5NewStuff)

Requires:       kf5-filesystem

Conflicts:      kdepim-libs < 7:16.04.0
Obsoletes:      kdepim-libs < 7:16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
#TODO: Missing upstream
#license COPYING.LIB
%{_kf5_sysconfdir}/xdg/grantleetheme.categories
%{_kf5_sysconfdir}/xdg/grantleetheme.renamecategories
%{_kf5_libdir}/libKF5GrantleeTheme.so.*
%{grantlee5_plugindir}/kde_grantlee_plugin.so

%files devel
%{_kf5_includedir}/GrantleeTheme/
%{_kf5_includedir}/grantleetheme/
%{_kf5_includedir}/grantleetheme_version.h
%{_kf5_libdir}/libKF5GrantleeTheme.so
%{_kf5_libdir}/cmake/KF5GrantleeTheme/
%{_kf5_archdatadir}/mkspecs/modules/qt_GrantleeTheme.pri


%changelog
* Thu Mar 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.3-1
- 16.12.3

* Thu Feb 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Mon Jan 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- 16.12.1

* Mon Dec 05 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.3-1
- 16.08.3

* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.2-1
- 16.08.2

* Thu Sep 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-1
- 16.08.1

* Sat Sep 03 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.0-1
- 16.08.0

* Wed Aug 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-2
- use macros.grantlee5

* Sun Jul 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-1
- 16.04.3

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.2-1
- 16.04.2

* Thu May 26 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-3
- -devel: drop extraneous deps (avoids circular build deps)

* Thu May 26 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-2
- fix Conflicts/Obsoletes versioning

* Thu May 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-1
- 16.04.1

* Mon May 02 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
